ldns(3)

NAME
ldns_rr2canonical - canonicalize a RR

SYNOPSIS
#include <stdint.h>
#include <stdbool.h>

#include <ldns/ldns.h>

void ldns_rr2canonical(ldns_rr *rr);

DESCRIPTION

ldns_rr2canonical() converts each dname in a rr to its canonical form. .br rr: the rr to work on .br Returns void

AUTHOR
The ldns team at NLnet Labs.

REPORTING BUGS
Please report bugs to dns-team@nlnetlabs.nl or on GitHub at https://github.com/NLnetLabs/ldns/issues

COPYRIGHT
Copyright (c) 2004 - 2006 NLnet Labs.

Licensed under the BSD License. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
ldns_rr, ldns_rr_list. And perldoc Net::DNS, RFC1034, RFC1035, RFC4033, RFC4034 and RFC4035.

REMARKS
This manpage was automatically generated from the ldns source code.